Subject: PMP> RE: SM> Reminder - Wed 30 Aug 1pm EDT - Semantic Model Teleconfer ence

From: "McDonald, Ira" <[email-masked]>
Date: Tue, 29 Aug 2006 11:37:15 -0700

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Zehler,
> Peter
> Sent: Thursday, August 17, 2006 3:15 PM
> To: Zehler, Peter; [email-masked]
> Cc: [email-masked]
> Subject: SM> Wed 30 Aug 1pm EDT - Semantic Model Teleconference
> 
> 
> All,
>  
> On Wednesday August 30 there will be a Semantic Model Teleconference.
> 
> Date/Time: 
> August 30 2006
> 1 pm - 2 pm eastern
> Dial-In
> Tele-Con Number:1-866-365-4406
> PassCode: 2635888
> WebEx Meeting Details (http://www.mymeetings.com): 
> Meeting Number: 747275324
> Meeting Passcode: PwgSm
> Meeting Host: Peter Zehler
> Join Instructions for Instant Net Conference:
> 1. Join the meeting now:
> http://www.mymeetings.com/xerox/nc/join.php?i=747275324&p=PwgSm&t=c
> 2. Enter the required fields.
> 3. Indicate that you have read the Privacy Policy.
> 4. Click on Proceed. If you have problems with the above link, go to
> http://www.mymeetings.com , select "join an event" and use the meeting
> number and passcode from above. 
> 
> Agenda: 	1) Approve previous meeting minutes
> 	
> <ftp://ftp.pwg.org/pub/pwg/Semantic-Model/Minutes/PWG_SM_call_
> minutes_20
> 060712.pdf>
> 		2) Agenda bashing
> 		3) Walk through the updated schema (Link below) 
> 			a) Recent changes
> 			b) Proposed direction
> 		4) Class structure of Semantic Model
> 		5) Chameleon schema issues
> 		6) Logical division of PWG schema
> 		7) incorporation of SM v1 printer elements into
> PrinterService
> 		8) Discuss next steps and dates
> 
> 
> I have just uploaded an update to the Semantic Model 
> 	
> <ftp://ftp.pwg.org/pub/pwg/Semantic-Model/SchemaPWG-SM-080906.zip> 
> 
> I am well aware that this does not pass the W3C's XSV but XMLSPY can
> handle it.  The crux of the issue is that this is a "mid-stream" edit
> that I would like to discuss.  If you want the details on the problem
> see below.  
> 
> Specifically the discussion I would like to have is how far we want to
> go with a class hierarchy in the PWG SM v2.  Take a look at System
> Status and any of the service's status.  You will see there is a base
> class that is used across all of them.  There are ramification in
> element naming.
> 
> Another aspect of the model that was changed was the use of multiple
> namespaces.  Note that the copyservice is now in its own 
> namespace while
> the print service remains in the sm: namespace.  The elements specific
> to WIMS are also in their own namespace.
> 
> I also removed the legacy PWG SM v1 PrinterStatus and included all the
> elements in the print service extension to the status class
> 
> For the convenience of those without XMLSPY I also included an HTML
> version of the schema that might be useful for browsing.  
> (warning: it's
> about 12M)
> 	<ftp://ftp.pwg.org/pub/pwg/Semantic-Model/PWG-SM-080906-HTML.zip
> > 
> 
> 
> Pete
> 
> Explanation of problem:
>   The actual problem is that the Chameleon schema has an unfortunate
> limitation.  You can only reference (via an explicit ref or through a
> type declaration) entities that are bound to a namespace (i.e. schema
> file with a target namespace).  That is easily fixed by importing the
> appropriate sub-schema.  The side effect occurs when the chameleon
> schema is included in a schema file from the same namespace ad the
> chameleon's imported sub-schema.  
> In other words a schema file(A) with a target namespace includes a
> chameleon schema file (B) without a namespace.  The effect of that is
> that the chameleon schema (B)takes on the target namespace of (A).  If
> the Chameleon schema (B) IMPORTS a schema file (C) that has the same
> namespace as (A), and through the chameleon effect (B), that is not
> allowed.  There are some tools that are forgiving.  An import with the
> same namespace as the imported is functionally an include. 
> 
> 
> Peter Zehler
> XEROX
> Xerox Innovation Group
> Email: [email-masked]
> Voice: (585) 265-8755
> FAX: (585) 265-7441
> US Mail: Peter Zehler
> Xerox Corp.
> 800 Phillips Rd.
> M/S 128-25E
> Webster NY, 14580-9701 
> 

-- 
No virus found in this outgoing message.
Checked by AVG Free Edition.
Version: 7.1.405 / Virus Database: 268.11.6/430 - Release Date: 8/28/2006